# variables:
#   EXE_RELEASE_FOLDER: 'YourApp\bin\Release'
#   MSI_RELEASE_FOLDER: 'Setup\bin\Release'
#   TEST_FOLDER: 'Tests\bin\Release'
#   DEPLOY_FOLDER: 'P:\Projects\YourApp\Builds'
#   NUGET_PATH: 'C:\NuGet\nuget.exe'
#   MSBUILD_PATH: 'C:\Program Files (x86)\MSBuild\14.0\Bin\msbuild.exe'
#   NUNIT_PATH: 'C:\Program Files (x86)\NUnit.org\nunit-console\nunit3-console.exe'

stages:
  - build
  - test

build_job:
  tags: 
    - lago-imperador
  stage: build
  only:
    - tags  # the build process will only be started by git tag commits
  script:
    - dotnet build

test_job:
  stage: test
  only:
    - tags
  script:
    - dotnet test


